<?php
    session_start();

	define('UPLOADER_DIR','../');
	require_once(UPLOADER_DIR.'fileuploader.class.php');
	include_once(UPLOADER_DIR.'resources/config.php');
    if($_SERVER['REQUEST_METHOD'] != 'POST' || empty($_SERVER['HTTP_REFERER'])||
          !preg_match('/'.$_SERVER['HTTP_HOST'].'/', $_SERVER['HTTP_REFERER'])){
  		@header('HTTP/1.1 403 Forbidden');
    	exit('Access forbbiden');
 	}

	// CSRF validation
	if($CSRF_CHECK && (!isset($_SESSION['uploader_password']) || $_SESSION['uploader_password'] != $dictionary['Password'])){
        echo 'Token validation was not successful';
      	return;
    }

    $id=FileUploader::GetParam('id','post');
    $style=FileUploader::GetParam('style','post');
    $path=FileUploader::GetParam('path','post');
    $allowedExtensions=FileUploader::GetParam('allowedExtensions','post');
    $size=FileUploader::GetParam('size','post');
    $folder=FileUploader::GetParam('folder','post');
    $usingSuffixes=FileUploader::GetParam('usingSuffixes','post');
    $usingRandomNames=FileUploader::GetParam('usingRandomNames','post');
    $overwritingFiles=FileUploader::GetParam('overwritingFiles','post');
    $prefix=FileUploader::GetParam('prefix','post');
    $postfix=FileUploader::GetParam('postfix','post');
    $index=FileUploader::GetParam('index','post');
    $enabled=FileUploader::GetParam('enabled','post');
    $httpVarsKeys=FileUploader::GetParam('httpVarsKeys','post');
    $httpVarsValues=FileUploader::GetParam('httpVarsValues','post');
    $httpVarsArray = array();
    $keysExploded = explode('|',$httpVarsKeys);
    $valuesExploded = explode('|',$httpVarsValues);
    for($i=0;$i<count($keysExploded);$i++)
    	if($keysExploded[$i]!='')
    	$httpVarsArray[$keysExploded[$i]]=$valuesExploded[$i];
    echo FileUploader::DisplayForm($id,$style,$path,$allowedExtensions,$size,$folder,$usingRandomNames,$usingSuffixes,$prefix,$postfix,$index,$enabled,$httpVarsArray,$overwritingFiles);
